Description

The attached patch removes completed versions from the issues context menu. If a project has some 20 completed versions, this list

starts to get awfully long.

Related issues:

Related to Redmine - Feature #1245: close versions Closed 2008-05-16

History

#1 - 2009-03-12 19:17 - Paul Rivier

This is a desirable feature IMO, but I am not sure that "being passed" or "being completed" fully qualify a version for being "desactivated". This could

maybe be a setting like

Version are desactivated when they are :

passed

passed and completed

manually (need an additionnal property to be manually switched on Versions)

But for sure, being able to keep the version dropdown menu clean it a very important thing.

Thank you for this patch.

#2 - 2009-03-12 19:52 - Brad Beattie

Yeah, I see what you're saying. I just took the code that was being used to hide versions from the project roadmap page for consistency. One is

changed, both should be, y'know? In that sense, what you're proposing is a separate feature request. Related, but separate.

#3 - 2009-03-15 15:52 - Jean-Philippe Lang

See #1245. Let me know what you think of this proposal.

#4 - 2009-03-15 17:28 - Brad Beattie

Jean-Philippe Lang wrote:

See #1245. Let me know what you think of this proposal.

 I've commented on that proposal. Ultimately, I don't think it impacts this patch issue much. Currently, the way versions are being detected as closed

isn't by a boolean, but by whether the issues in the version are all closed. All I've done in this patch is added that code to the context menu.

If the method of detecting closed status changes, then this patch could change too, yeah?

#5 - 2009-03-15 19:00 - Jean-Philippe Lang

IMHO, there's no reason to filter completed versions in the context menu and not in the 'Target version' drop down list on the issue form. I understand

this can be a problem when you have lots of versions. But before changing this behaviour (not being able to assign an issue to a completed version) I

think it would be better to explicitly mark versions as completed.

#6 - 2009-03-15 22:54 - Paul Rivier

Hello Jean-Philippe

See #1245. Let me know what you think of this proposal.

 I'm totally happy with this proposal, it makes sens, does not look intrusive and will answer our expressed needs. Thank you very much.

#7 - 2009-11-08 14:03 - Jean-Philippe Lang
- Status changed from New to Closed

Obsoleted by r3020.
